;;; 65bitmap-mule.el --- Debian bitmap-mule startup file  -*-mode: emacs-lisp;-*-

;;; Code:

(let ((path (concat "/usr/share/" (symbol-name flavor) "/site-lisp/bitmap-mule")))
  (if (or (not (file-directory-p path))
	  (featurep 'xemacs)
	  (not (or (featurep 'mule) (boundp 'MULE))))
      ()
    (if (fboundp 'debian-pkg-add-load-path-item)
	(debian-pkg-add-load-path-item path)
      (setq load-path (cons path load-path)))
    (if (and (boundp 'emacs-major-version)
	     (< emacs-major-version 21)
	     (featurep 'un-define))
	(setq bitmap-alterable-charset 'tibetan-1-column))
    ;; for X-Face
    (if (or (and (boundp 'emacs-major-version) (>= emacs-major-version 21))
	    (not window-system))
	() ;; for emacs21 and later, use x-face-el's x-face-e21
      ;; for emacs20
      (require 'bitmap)
      (autoload 'x-face-decode-message-header "x-face-mule")
      (add-hook 'mime-display-header-hook 'x-face-decode-message-header)
      ;; for Gnus
      (setq x-face-mule-gnus-force-decode-headers t)
      ;; for Wanderlust
      (setq wl-highlight-x-face-function 'x-face-decode-message-header)
      ;; for Mew
      (setq mew-use-highlight-x-face t)
      (setq mew-highlight-x-face-function 'x-face-decode-message-header)
      (setq mew-use-highlight-x-face-function mew-highlight-x-face-function)
      (setq mew-opt-highlight-x-face-function mew-highlight-x-face-function)
      (require 'x-face-mule)
      ;; set fontset to 8x16 for X-Face
      (let ((charset (if (boundp 'MULE) lc-bitmap 'bitmap)))
	(mapcar
	 (lambda (fontset)
	   (set-fontset-font
	    fontset charset
	    "-*-fixed-medium-r-*--16-*-100-100-m-*-bitmap.8x16-0"))
	 (fontset-list)))
      ;; for gnus-bitmap
      (autoload 'gnus-bitmap-splash "gnus-bitmap")
      (add-hook 'gnus-load-hook 'gnus-bitmap-splash)
      ;; for smiley-mule
      (autoload 'smiley-buffer "smiley-mule" nil t)
      (autoload 'smiley-encode-buffer "smiley-mule" nil t)
      ;; for smiley-mule with SEMI
      ;;(add-hook 'mime-display-text/plain-hook 'smiley-buffer)
      ;;(add-hook 'mime-edit-translate-hook 'smiley-encode-buffer)
      ;; for smiley-mule with tm
      ;;(add-hook 'mime-viewer/plain-text-preview-hook 'smiley-buffer)
      ;;(add-hook 'mime-editor/translate-hook 'smiley-encode-buffer)
      )
    ;;
    ))

;;; 65bitmap-mule.el ends here
